<VirtualHost *:80>
    DocumentRoot /var/www/html/storytelling
    ServerName story.localhost
    ServerAlias story.internal

    CustomLog /var/log/apache2/access_sfogliaqui.net.log combined
    ErrorLog /var/log/apache2/error_sfogliaqui.net.log
    #LogLevel alert rewrite:trace8

    RewriteEngine On

    RewriteRule . - [E=X_ADA_PRODTYPE:storyTelling]
    RewriteRule . - [E=X_ADA_HTTP_HOST:story.localhost]

    Header always set Access-Control-Allow-Origin "*"
    Header always set Access-Control-Allow-Credential "true"
    Header always set Access-Control-Allow-Methods "POST, GET, OPTIONS, DELETE, PUT"
    Header always set Access-Control-Allow-Headers "x-requested-with, Content-Type, origin, authorization, accept, client-security-token"
    Header always set X-Frame-Options "*"
    Header set Cache-Control "max-age=84600, public"

    Alias /img /var/www/html/smssmart/img

    <Directory /var/www/html/storytelling>
        Options -Indexes +FollowSymLinks +MultiViews
        AllowOverride All
        Require all granted
    </Directory>

</VirtualHost>